Bug 1293048 - [abrt] glaxium: fghDrawGeometrySolid(): glaxium killed by SIGSEGV
[abrt] glaxium: fghDrawGeometrySolid(): glaxium killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: glaxium (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3477285c76ff6daf7bd9c35fa3c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-19 12:11 EST by thraex
Modified: 2016-01-12 03:22 EST (History)
1 user (show)

See Also:
Fixed In Version: glaxium-0.5-22.fc23 glaxium-0.5-22.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-12 03:01:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (48.15 KB, text/plain)
2015-12-19 12:11 EST, thraex
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-19 12:11 EST, thraex
no flags Details
File: core_backtrace (1.87 KB, text/plain)
2015-12-19 12:11 EST, thraex
no flags Details
File: dso_list (7.18 KB, text/plain)
2015-12-19 12:12 EST, thraex
no flags Details
File: environ (1.52 KB, text/plain)
2015-12-19 12:12 EST, thraex
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-19 12:12 EST, thraex
no flags Details
File: maps (36.98 KB, text/plain)
2015-12-19 12:12 EST, thraex
no flags Details
File: mountinfo (3.69 KB, text/plain)
2015-12-19 12:12 EST, thraex
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-19 12:12 EST, thraex
no flags Details
File: open_fds (393 bytes, text/plain)
2015-12-19 12:12 EST, thraex
no flags Details
File: proc_pid_status (1016 bytes, text/plain)
2015-12-19 12:12 EST, thraex
no flags Details
File: var_log_messages (306 bytes, text/plain)
2015-12-19 12:12 EST, thraex
no flags Details

  None (edit)
Description thraex 2015-12-19 12:11:51 EST
Description of problem:
I /think/ I pressed Alt involuntarily while playing and the game quit. This doesn't seem to be easily reproducable though.

Version-Release number of selected component:
glaxium-0.5-21.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        glaxium -f
crash_function: fghDrawGeometrySolid
executable:     /usr/bin/glaxium
global_pid:     6895
kernel:         4.2.7-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 fghDrawGeometrySolid at /usr/src/debug/freeglut-3.0.0/src/fg_geometry.c:181
 #1 fghSphere at /usr/src/debug/freeglut-3.0.0/src/fg_geometry.c:1718
 #2 glutSolidSphere at /usr/src/debug/freeglut-3.0.0/src/fg_geometry.c:2065
 #3 MyFire2::draw at fire.cpp:202
 #4 ListSprite::draw at listsprite.cpp:43
 #5 Scene::drawGame at scene.cpp:1360
Comment 1 thraex 2015-12-19 12:11:56 EST
Created attachment 1107755 [details]
File: backtrace
Comment 2 thraex 2015-12-19 12:11:58 EST
Created attachment 1107756 [details]
File: cgroup
Comment 3 thraex 2015-12-19 12:11:59 EST
Created attachment 1107757 [details]
File: core_backtrace
Comment 4 thraex 2015-12-19 12:12:00 EST
Created attachment 1107758 [details]
File: dso_list
Comment 5 thraex 2015-12-19 12:12:02 EST
Created attachment 1107759 [details]
File: environ
Comment 6 thraex 2015-12-19 12:12:03 EST
Created attachment 1107760 [details]
File: limits
Comment 7 thraex 2015-12-19 12:12:05 EST
Created attachment 1107761 [details]
File: maps
Comment 8 thraex 2015-12-19 12:12:06 EST
Created attachment 1107762 [details]
File: mountinfo
Comment 9 thraex 2015-12-19 12:12:08 EST
Created attachment 1107763 [details]
File: namespaces
Comment 10 thraex 2015-12-19 12:12:09 EST
Created attachment 1107764 [details]
File: open_fds
Comment 11 thraex 2015-12-19 12:12:10 EST
Created attachment 1107765 [details]
File: proc_pid_status
Comment 12 thraex 2015-12-19 12:12:12 EST
Created attachment 1107766 [details]
File: var_log_messages
Comment 13 thraex 2015-12-28 09:43:24 EST
Contrary to my first comment, this bug seems very easy to reproduce: start the game, press any key to start an "instance" and then press Space. The game will crash. As the space key activates the special weapon which wipes out everything, this is kind of annoying.
Comment 14 Hans de Goede 2015-12-31 06:19:28 EST
(In reply to thraex from comment #13)
> Contrary to my first comment, this bug seems very easy to reproduce: start
> the game, press any key to start an "instance" and then press Space. The
> game will crash. As the space key activates the special weapon which wipes
> out everything, this is kind of annoying.

Thanks, that (a reproducer) is exactly what I needed to be able to look into this. I've found the bug and I've a fix ready. I still need to write an appdata file for glaxium while I'm at it, once that is done I'll submit an update fixing this.
Comment 15 Fedora Update System 2015-12-31 09:03:55 EST
glaxium-0.5-22.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-eceff0d16b
Comment 16 Fedora Update System 2015-12-31 09:10:11 EST
glaxium-0.5-22.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f65529aacd
Comment 17 Fedora Update System 2016-01-02 12:51:20 EST
glaxium-0.5-22.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f65529aacd
Comment 18 Fedora Update System 2016-01-02 22:23:37 EST
glaxium-0.5-22.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-eceff0d16b
Comment 19 Fedora Update System 2016-01-12 03:01:50 EST
glaxium-0.5-22.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2016-01-12 03:22:17 EST
glaxium-0.5-22.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.